<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CityRepository.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.repository</a> &gt; <span class="el_source">CityRepository.java</span></div><h1>CityRepository.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.repository;

import dto.weatherapi.City;
import jakarta.inject.Inject;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Component;
import java.util.HashMap;
import java.util.List;

@Component
<span class="fc" id="L12">public class CityRepository {</span>
    private final static String SQL_INSERT_CITY = &quot;INSERT INTO CITIES (ID, NAME, REGION, COUNTRY, POSTE_CODE) VALUES (:id, :name, :region, :country, :posteCode)&quot;;
    private final static String SQL_DELETE_CITY = &quot;DELETE FROM CITIES WHERE ID = :id&quot;;
    private final static String SQL_PUT_CITY = &quot;UPDATE CITIES SET ID = :id, NAME = :name, REGION = :region, COUNTRY = :country, POSTE_CODE = :posteCode WHERE ID = :oldId&quot;;
    private final static String SQL_GET_ALL_CITIES = &quot;SELECT * FROM CITIES&quot;;
    @Inject
    private NamedParameterJdbcTemplate jdbcTemplate;
    public void createCity(City city) {
<span class="fc" id="L20">        var params = new HashMap();</span>

<span class="fc" id="L22">        params.put(&quot;id&quot;, city.getId());</span>
<span class="fc" id="L23">        params.put(&quot;name&quot;, city.getName());</span>
<span class="fc" id="L24">        params.put(&quot;region&quot;, city.getRegion());</span>
<span class="fc" id="L25">        params.put(&quot;country&quot;, city.getCountry());</span>
<span class="fc" id="L26">        params.put(&quot;posteCode&quot;, city.getPosteCode());</span>

<span class="fc" id="L28">        this.jdbcTemplate.update(SQL_INSERT_CITY, params);</span>
<span class="fc" id="L29">    }</span>

    public void deleteCity(Integer id) {
<span class="nc" id="L32">        var params = new HashMap();</span>
<span class="nc" id="L33">        params.put(&quot;id&quot;, id);</span>

<span class="nc" id="L35">        this.jdbcTemplate.update(SQL_DELETE_CITY, params);</span>
<span class="nc" id="L36">    }</span>

    public List&lt;City&gt; getCity() {
<span class="nc" id="L39">        return this.jdbcTemplate.query(SQL_GET_ALL_CITIES, new BeanPropertyRowMapper(City.class));</span>
    }

    public void putCity(Integer id, City city) {
<span class="nc" id="L43">        var params = new HashMap();</span>

<span class="nc" id="L45">        params.put(&quot;oldId&quot;, id);</span>
<span class="nc" id="L46">        params.put(&quot;id&quot;, city.getId());</span>
<span class="nc" id="L47">        params.put(&quot;name&quot;, city.getName());</span>
<span class="nc" id="L48">        params.put(&quot;region&quot;, city.getRegion());</span>
<span class="nc" id="L49">        params.put(&quot;country&quot;, city.getCountry());</span>
<span class="nc" id="L50">        params.put(&quot;posteCode&quot;, city.getPosteCode());</span>

<span class="nc" id="L52">        this.jdbcTemplate.update(SQL_PUT_CITY, params);</span>
<span class="nc" id="L53">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>